# Logging

### Overview

At Segmind, we value your privacy and ensure that the information we log is strictly for operational and billing purposes. This document outlines what data we collect, how we use it, and our policies regarding the storage of your data.

### What We Log

1. **Usage and Billing Metrics**:
   * We log basic information to help us calculate usage and billing metrics. This includes:
     * **Time of Inference**: The exact date and time each inference is run.
     * **Inference Duration**: The time taken to run each inference.
2. **Prompt and Settings**:
   * For better user experience and caching, Segmind stores the prompt and any associated configuration parameters that are inputs to a model. This allows us to optimize performance and ensure smooth operation. No images/videos/audio files are stored.&#x20;
   * **Outputs**: Segmind stores outputs for 7 days after inference, post which all outputs are automatically deleted.&#x20;

### Data We Do Not Store

1. **Model Inference Data**:
   * Segmind does not store any input images, videos, or audio files associated with any run for model inferencing. Your data remains transient and is processed only for the duration of the inference.

### Temporary Storage for Model Fine-Tuning

1. **Fine-Tuning Images**:
   * Images required for fine-tuning a model are stored for a limited amount of time to complete the fine-tuning process.
   * These images can be deleted upon request. Please contact our support team if you wish to have them removed from our servers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.segmind.com/api-reference/logging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
